Subject: [bug#60535] [PATCH] depend2: switch echo|sed to automatic vars

From: Karl Berry <[email-masked]>
Date: Thu, 12 Jan 2023 16:33:43 -0700

Well, stated more positively, my concern is about not replacing a bunch
of (granted) complicated old code with a bunch of complicated new code,
i.e., creating new-and-different maintainer and portability hassles, for
the sake of (what nowadays feels to me like) a micro-optimization. Let's
not underestimate the value of stable code that is known to work.

>From Nick's and your previous discussion about the non-portability of
the make variables and the (what looks to me like) rather complicated
workarounds, I have my doubts that any replacement will work without a
few rounds of portability and bug fixes. With yet more complications
resulting.

I've never used those make variables myself, nor have I ever touched any
of this dependency code in Automake, and could certainly be overstating
the case. Nevertheless, that's my concern.

That said, if your replacement code passes all the tests on NetBSD,
dmake, whatever else is known to be problematic (I doubt we have to care
about Ultrix though), I guess it would be safe enough. --thanks, karl.